import es, string, usermsg

es.ServerVar("steamcommunity", "1.0", "The version of SteamCommunity that is running.").makepublic()

def player_say(event_var):
    text = event_var["text"]
    if text.startswith("!steam"):
        username = text.replace("!steam", "", 1)
        username = username.strip()
        if username != "":
            userid = es.getuserid(username)
            if es.exists("userid", userid):
                steamid = es.getplayersteamid(userid)
                if steamid != "STEAM_ID_LAN" and steamid != "STEAM_ID_PENDING" and steamid != "BOT":
                    serverid = steamid[8]
                    steamid = steamid.replace("STEAM_0:" + serverid + ":", "")
                    communityid = int(steamid) * 2 + int(serverid) + 76561197960265728
                    url = "http://steamcommunity.com/profiles/%d" % communityid
                    usermsg.motd(event_var["userid"], 2, "Steam Community", url)
                else:
                    es.tell(event_var["userid"], "#multi", "#green[SteamCommunity] #default Invalid Steam ID! - %s" % steamid)
            else:
                es.tell(event_var["userid"], "#multi", "#green[SteamCommunity] #default Player doesn't exist!")
        else:
            es.tell(event_var["userid"], "#multi", "#green[SteamCommunity] #default Syntax: !steam [NAME]")